---
layout: markdown_page
title: Search Team
---

## On this page
{:.no_toc}

- TOC
{:toc}

## Vision

The Search team is focused on bringing world class search functionality to GitLab.com and self-managed instances.  

## Mission

The team will be responsible for improving and expanding upon our current Elasticsearch implementation.  Areas of responsibility will include global search functionality, UI, ingestion mechanisms, optimal indexing, administrative tools and installation mechanisms for self-managed installations.

## Team Members

The following people are permanent members of the Search Team:

<%= direct_team(manager_role: 'Engineering Manager, Search') %>


## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Search Team/, direct_manager_role: 'Engineering Manager, Search') %>

## Meetings

## Work
We follow the GitLab [engineering workflow](/handbook/engineering/workflow/) guidelines.  To bring an issue to our attention please [create an issue](/handbook/communication/#everything-starts-with-an-issue) in the relevant project.  Add the `~"group::search"` label along with any other relevant labels.  If it is an urgent issue, please reach out to the Product Manager or Engineering Manager listed in the [Stable Counterparts](/handbook/engineering/development/enablement/search/#stable-counterparts) section above.

### Planning

### Boards

